Bug 498506 - Removing a package from the a channel in the UI doesn't update repo cache
Removing a package from the a channel in the UI doesn't update repo cache
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Michael Mráka
:
Depends On: 498441
Blocks: 485807
  Show dependency treegraph
 
Reported: 2009-04-30 15:30 EDT by Justin Sherrill
Modified: 2009-09-10 14:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 498441
Environment:
Last Closed: 2009-09-10 14:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-04-30 15:30:36 EDT
+++ This bug was initially created as a clone of Bug #498441 +++

When you remove a package from a channel, the new repocache mechanism is never signalled to regenerate the yum cache.  

We should probably add this in ChannelManager.refreshWithNewestPackages() so we cover anytime the newest packages are refreshed to get other cases where we're forgetting to initiate a cache rebuild

--- Additional comment from jsherril@redhat.com on 2009-04-30 15:29:08 EDT ---

579fffa - added call to  ChannelManager.queueChannelChange() within refreshWithNewestPackages(), so we should over everything we need to.
Comment 2 Justin Sherrill 2009-06-05 09:48:22 EDT
1.  Create a custom channel.
2.  Push or add a package to it
3.  Subscribe a system to the channel
4.  run 'yum update packageName' to make sure you can install it 
5.   If you did install it remove it from the system 'rpm -e packageName'
6.  from the webUI remove the package from the channel
7.   wait 10 minutes
8.  Try to yum install it from the client

Expected results:  it shouldn't be available.
Comment 3 Michael Mráka 2009-06-09 05:34:21 EDT
Verified. Satellite-5.3.0-RHEL4-re20090529.0-x86_64

created channel test23 with package libaio-0.3.105-2.x86_64
[root@xen1 ~]# yum list libaio
Available Packages
libaio.x86_64                          0.3.105-2                          test23
[root@xen1 ~]# date
Tue Jun  9 11:18:18 CEST 2009
[root@xen1 ~]# date
Tue Jun  9 11:29:21 CEST 2009
[root@xen1 ~]# yum list libaio
Error: No matching Packages to list
[root@xen1 ~]# yum install libaio
...
No package libaio available.
Comment 4 John Sefler 2009-08-07 14:12:55 EDT
Re-verified in staged (Satellite-5.3.0-RHEL5-re20090724.0) with pushed package updates from Aug 6

on the satellite...
Created a WeatherChannel and pushed a package to it.
[root@dhcp77-153 tmp]# rhnpush --channel=weatherchannel --server=test1182.test.redhat.com --nosig weatherbug-1.0-1.rpm 
Red Hat Network username: john
Red Hat Network password: 
[root@dhcp77-153 tmp]# 
Subscribed a RHEL4 client system to the WeatherChannel

on the client...

[root@fjs-0-12 tmp]# up2date weatherbug

Fetching Obsoletes list for channel: weatherchannel...
########################################

Fetching rpm headers...
########################################

Name                                    Version              Rel               Arch
----------------------------------------------------------------------------------------
weatherbug                              1.0                 1                   i586  


Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
weatherbug-1.0-1                         requires jre >= 1.4 
weatherbug  1.0-1                        requires libGLU.so.1
weatherbug  1.0-1                        requires libatk-1.0.so.0
weatherbug  1.0-1                        requires libcairo.so.2
weatherbug  1.0-1                        requires libgnome-2.so.0
weatherbug  1.0-1                        requires libgnomeui-2.so.0
weatherbug  1.0-1                        requires libgnomevfs-2.so.0
weatherbug  1.0-1                        requires libgtk-x11-2.0.so.0
weatherbug  1.0-1                        requires libjawt.so


The following packages were added to your selection to satisfy dependencies:
Package                                Required by
----------------------------------------------------------------------------

[root@fjs-0-12 tmp]# 


on the satellite...
Removed package weatherbug-1.0-1.i586 from the WeatherChannel channel

on the client...
[root@fjs-0-12 tmp]# up2date weatherbug

Fetching package list for channel: weatherchannel...
########################################

Fetching Obsoletes list for channel: weatherchannel...
########################################

Fetching rpm headers...

Name                                    Version              Rel               Arch
----------------------------------------------------------------------------------------


The following packages you requested were not found:
weatherbug


moving to RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 14:41:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.